<?php
 
 
 

namespace PhpWA\Protocol\Proto\HandshakeMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ClientFinish extends \Google\Protobuf\Internal\Message
{
    


    protected $static = null;
    


    protected $payload = null;
    


    protected $extendedCiphertext = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getStatic()
    {
        return isset($this->static) ? $this->static : '';
    }

    public function hasStatic()
    {
        return isset($this->static);
    }

    public function clearStatic()
    {
        unset($this->static);
    }

    




    public function setStatic($var)
    {
        GPBUtil::checkString($var, False);
        $this->static = $var;

        return $this;
    }

    



    public function getPayload()
    {
        return isset($this->payload) ? $this->payload : '';
    }

    public function hasPayload()
    {
        return isset($this->payload);
    }

    public function clearPayload()
    {
        unset($this->payload);
    }

    




    public function setPayload($var)
    {
        GPBUtil::checkString($var, False);
        $this->payload = $var;

        return $this;
    }

    



    public function getExtendedCiphertext()
    {
        return isset($this->extendedCiphertext) ? $this->extendedCiphertext : '';
    }

    public function hasExtendedCiphertext()
    {
        return isset($this->extendedCiphertext);
    }

    public function clearExtendedCiphertext()
    {
        unset($this->extendedCiphertext);
    }

    




    public function setExtendedCiphertext($var)
    {
        GPBUtil::checkString($var, False);
        $this->extendedCiphertext = $var;

        return $this;
    }

}

